ogg123(1)

BEZEICHNUNG
ogg123 - spielt OGG-Vorbis-Dateien ab

ÜBERSICHT
ogg123 [ -vqrzZVh ] [ -k Sekunden ] [ -x ntes ] [ -y nmal ] [ -b Puffergröße ] [ -d Treiber [ -o Option:Wert ] [ -f Dateiname ] ] Datei … | Verzeichnis … | URL …

BESCHREIBUNG
ogg123 liest Ogg-Vorbis- und FLAC-Dateien und gibt diese dekodiert an die in der Befehlszeile angegebenen Geräte aus. Als Vorgabe nutzt ogg123 das Standard-Audiogerät, aber die Ausgabe kann an beliebig viele Geräte gesendet werden. Dateien können aus dem Dateisystem gelesen oder URLs als Datenstrom über HTTP verwendet werden. Falls ein Verzeichnis angegeben wird, werden alle darin oder in seinen Unterverzeichnissen enthaltenen Dateien wiedergegeben.

OPTIONEN

--audio-buffer n
    verwendet einen Audio-Ausgangspuffer von etwa »n« Kilobyte.

-@ Wiedergabeliste, --list Wiedergabeliste
    Alle in der Datei »Wiedergabeliste« enthaltenen Dateien wiedergeben. Die Wiedergabeliste sollte einen Dateinamen, einen Verzeichnisnamen oder eine URL pro Zeile enthalten. Leerzeilen sind unzulässig. Verzeichnisse werden auf die gleiche Weise behandelt wie in der Befehlszeile.

-b n, --buffer n
    verwendet einen Audio-Eingangspuffer von etwa »n« Kilobyte. Diese Option steht nur für HTTP zur Verfügung.

-p n, --prebuffer n
    verwendet »n« Prozent des Eingangspuffers als Vorpuffer. Die Wiedergabe beginnt erst, wenn dieser Vorpuffer vollständig gefüllt ist. Diese Option steht nur für HTTP zur Verfügung.

-d Gerät, --device Gerät
    gibt das Ausgabegerät an. Im Abschnitt GERÄTE finden Sie eine Liste der Geräte. Beliebig viele Geräte können angegeben werden.

-f Dateiname, --file Dateiname
    gibt die Ausgabedatei für ein Datei-Gerät an, das vorher mit --device angegeben wurde. Der Dateiname »-« schreibt in die Standardausgabe. Falls die Zieldatei bereits existiert, wird diese durch ogg123 überschrieben.

-h, --help
    zeigt Hilfe zur Befehlszeile an.

-k n, --skip n
    überspringt die ersten »n« Sekunden. »n« kann auch in Minuten:Sekunden oder Stunden:Minuten:Sekunden angegeben werden.

-K n, --end n
    stoppt die Wiedergabe »n« Sekunden nach dem Beginn des Datenstroms. »n« kann auf die gleiche Weise wie in der Option --skip formatiert werden.

-o Option[:Wert], --device-option Option[:Wert]
    setzt die Option Option für das vorher benannte Gerät auf Wert. Im Abschnitt GERÄTE finden Sie eine Liste gültiger Optionen für jedes Gerät.

-q, --quiet
    Stiller Modus. Es werden keine Meldungen angezeigt.

-V, --version
    Versionsinformationen anzeigen.

-v, --verbose
    zeit ausführlichere Informationen an.

-x n, --ntes
    spielt jeden »n«-ten dekodierten Block ab. Dies hat den Effekt, dass die Wiedergabe gegenüber der Normalgeschwindigkeit »n«-mal schneller erfolgt.

-y n, --nmal
    gibt jeden Block »n«-mal wieder. Dies hat den Effekt, dass die Wiedergabe gegenüber der Normalgeschwindigkeit »n«-mal langsamer erfolgt. Kann zusammen mit -x verwendet werden, um nicht ganzzahlige Geschwindigkeiten zu erzielen.

-r, --repeat
    wiederholt die Wiedergabeliste endlos.

-z, --shuffle
    gibt Dateien in pseudozufälliger Reihenfolge wieder.

-Z, --random
    gibt Dateien endlos in pseudozufälliger Reihenfolge wieder.

GERÄTE
ogg123 unterstützt eine Reihe von Audio-Ausgabegeräten unter Nutzung von libao. Nur von der jeweiligen Zielplattform unterstützte Geräte werden verfügbar sein. Die Option -f kann nur bei Geräten verwendet werden, die in eine Datei schreiben können. Von allen Geräten unterstützte Optionen:

    debug
        Wenn möglich, die Fehlerdiagnose-Ausgabe für den gewählten Treiber aktivieren.

    matrix:Wert
        Eine spezifische Anordnung der Ausgabekanäle für ein angegebenes Gerät erzwingen. Wert ist eine durch Kommata getrennte Liste von Kanalnamen in AO-Schreibweise, beispielsweise L,R,C,LFE,BL,BR,SL,SR.

    verbose
        Die ausführliche Ausgabe für den gewählten Treiber aktivieren. Die Option -v aktiviert diese Treiberoption ebenfalls.

    quiet
        Den gewählten Treiber zwingen, sich vollkommen still zu verhalten. Selbst Fehlermeldungen werden in diesem Modus nicht ausgegeben. Die Option -q aktiviert diese Treiberoption ebenfalls.

aixs
    AIX-Live-Ausgabetreiber. Optionen:

    dev:Wert
        setzt das AIX-Ausgabegerät auf Wert.

alsa
    Advanced-Linux-Sound-Architecture-Live-Ausgabetreiber. Optionen:

    buffer_time:Wert
        Überschreibt die vorgegebene Größe des Hardwarepuffers (in Millisekunden).

    dev:Wert
        Die Bezeichnung des zu verwendenden ALSA-Geräts. Beispiele dafür sind »hw:0« für die erste Soundkarte und »hw:1« für die zweite. Der ALSA-Treiber wählt normalerweise automatisch »surround71«, »surround51«, »surround40« oder »default«, in Abhängigkeit von der Anzahl der Ausgabekanäle. Weitere Informationen finden Sie unter http://alsa.opensrc.org/ALSA+device+labels.

    period_time:Wert
        Überschreibt die vorgegebene Periodengröße der Hardware (in Mikrosekunden).

    period_time:Wert
        Überschreibt die vorgegebene Periodengröße der Hardware (in Mikrosekunden).

    use_mmap:Wert
        Wert wird auf »yes« oder »no« gesetzt, um das einkompilierte Vorgabeverhalten zur Nutzung von mmap-Gerätezugriffen zu überschreiben. In der Vergangenheit arbeiteten einige fehlerbehaftete ALSA-Treiber besser ohne mmap-Zugriff, mit dem Nachteil einer etwas höheren Auslastung des Prozessors.

arts
    aRts-Sound-Daemon-Live-Ausgabetreiber. Optionen:

    multi:Wert
        setzt Wert auf »yes« oder »no«, um das Öffnen des aRts-Wiedergabegerätes für mehrere, voneinander unabhängige Wiedergabevorgänge zu ermöglichen. Obwohl der Treiber in diesem Multi-Modus sauber arbeitet, kann es bekanntermaßen zu gelegentlichen Abstürzen des aRts-Servers selbst kommen. Die Vorgabe ist »no«.

au  Sun-Audioausgabe in eine Datei im AU-Format. Dieses Format unterstützt das Schreiben in nicht durchsuchbare Dateien, wie die Standardausgabe. In diesen Fällen geben die AU-Headerinformationen nur das Samplingformat, aber nicht die Spieldauer der Aufnahme an.

esd Enlightened-Sound-Daemon-Live-Ausgabe. Optionen:

    host:Wert
        Wert gibt den Namen des Rechners an, auf dem esd läuft. Das Anhängen einer Portnummer nach einem Doppelpunkt ist möglich, wie in »whizbang.com:555«. (Vorgabe = localhost)

irix
    IRIX-Live-Ausgabetreiber.

macosx
    MacOS-X-AUHAL-Live-Ausgabetreiber. Dieser Treiber unterstützt MacOS X 10.5 und neuer (10.4 und dessen Vorgängerversionen nutzen eine ältere, inkompatible Schnittstelle). Optionen:

    buffer_time:Wert
        Setzt die hardwareseitige Puffergröße auf den Gegenwert von Wert Millisekunden.

nas Network-Audio-Server-Live-Ausgabetreiber. Optionen:

    buf_size:Wert
        legt die Größe des Audiopuffers auf dem Server in Bytes fest.

    host:Wert
        gibt den Ort des NAS-Servers an. In nas(1) finden Sie Hinweise zur Formatierung.

null
    Null-Treiber. Alle Audiodaten werden verworfen. (Achtung: Die Audiodaten werden nicht nach /dev/null geschrieben!) Sie können diesen Treiber verwenden, um die unverfälschte Dekodierungsgeschwindigkeit ohne die Belastung durch die Ausgabe zu testen.

oss Open-Sound-System-Treiber für Linux und FreeBSD in den Versionen 2, 3 und 4. Optionen:

    dsp:Wert
        DSP-Gerät für die Soundkarte. Vorgabe ist /dev/dsp.

pulse
    Pulseaudio-Live-Ausgabetreiber. Optionen:

    server:Wert
        gibt den Ort des entfernten oder alternativen Pulseaudio-Servers an.

    sink:Wert
        gibt ein nicht als Standard festgelegtes Pulseaudio-Ziel für den Audio-Datenstrom an.

raw Ausgabe der Rohdaten in eine Datei. Die Audiodaten werden in unbearbeiteter Form in eine Datei geschrieben. Optionen:

    byteorder:Wert
        wählt Big Endian (»big«), Little Endian (»little«) oder die native (»native«) Byte-Reihenfolge. Vorgabe ist die native Reihenfolge.

roar
    Roar-Audio-Daemon-Live-Ausgabetreiber. Optionen:

    host:Wert
        gibt den Ort des zu verwendenden entfernten Roar-Servers an.

sndio
    OpenBSD-SNDIO-Live-Ausgabetreiber. Optionen:

    dev:Wert
        legt das Audiogerät für die Wiedergabe fest.

sun Sun-Audio-Live-Ausgabetreiber für NetBSD, OpenBSD und Solaris. Optionen:

    dev:Wert
        Audiogerät für die Soundkarte. Vorgabe ist /dev/audio.

wav Ausgabe in WAV-Datei. Schreibt die Audiodaten in nicht komprimierter Form auf das Speichergerät. Wenn mehrere Dateien wiedergegeben werden, so werden diese zu einer WAV-Datei zusammengeführt. Es ist nicht möglich, WAV-Daten in nicht durchsuchbare Dateien zu schreiben, wie beispielsweise die Standardausgabe. Verwenden Sie in diesem Fall das AU-Format.

wmm Windows-MultiMedia-Live-Ausgabetreiber für Win98 und neuer. Optionen:

    dev:Wert
        wählt das für die Wiedergabe zu verwendende Audiogerät nach dem Gerätenamen aus.

    id:Wert
        wählt das Audiogerät für die Wiedergabe anhand der Gerätekennung (Kartennummer) aus.

BEISPIELE
Die Befehlszeile von ogg123 ist recht flexibel, aber vielleicht etwas verwirrend. Nachfolgend finden Sie einige Beispiele mit Erklärungen, was diese bewirken.

Über die Standard-Soundkarte wiedergeben:
    ogg123 test.ogg

spielt alle Dateien im Verzeichnis ~/Musik und dessen Unterverzeichnissen ab.
    ogg123 ~/Musik

Eine Datei mit dem OSS-Treiber wiedergeben:
    ogg123 -d oss test.ogg

Die »dsp«-Option an den OSS-Treiber übergeben:
    ogg123 -d oss -o dsp:/dev/mydsp

Den ESD-Treiber verwenden:
    ogg123 -d esd test.ogg

Den WAV-Treiber für »test.wav« als Ausgabedatei verwenden:
    ogg123 -d wav -f test.wav test.ogg

Eine Datei wiedergeben, während diese gleichzeitig in eine WAV-Datei geschrieben wird:
    ogg123 -d oss -d wav -f test.wav test.ogg

Beachten Sie, dass die Optionen auf das links angegebene Gerät angewendet werden:
    ogg123 -d oss -o dsp:/dev/mydsp -d raw -f test2.raw -o byteorder:big test.ogg

Belastungstest für Ihre Festplatte:
    ogg123 -d oss -d wav -f 1.wav -d wav -f 2.wav -d wav -f 3.wav -d wav -f 4.wav -d wav -f 5.wav test.ogg

Einen Echoeffekt mit esd auf einem weniger leistungsstarken Rechner erzeugen:
    ogg123 -d esd -d esd test.ogg

UNTERBRECHUNG
Sie können ogg123 jederzeit durch Drücken von Strg-C abbrechen. Wenn mehrere Dateien wiedergegeben werden, dann wird die Wiedergabe der aktuellen Datei abgebrochen und mit der nächsten fortgesetzt. Wenn Sie die Wiedergabe vollständig beenden wollen, statt nur zur nächsten Datei zu springen, dann drücken Sie Strg-C während der ersten Sekunde der Wiedergabe der neuen Datei.

Beachten Sie, dass die Reaktion auf das Drücken von Strg-C möglicherweise nicht sofort hörbar ist, da die wiedergegebenen Daten im Audiogerät gepuffert werden. Die Verzögerung ist systemabhängig, beträgt aber in der Regel nicht mehr als ein oder zwei Sekunden.

DATEIEN

/etc/libao.conf
    Kann dazu verwendet werden, das Standard-Ausgabegerät für alle libao-Programme festzulegen.

~/.libao
    Benutzerdefinierte Konfigurationsdatei, welche die systemweiten Einstellungen für das Ausgabegerät überschreibt.

FEHLER
Über eine Pipe weitergeleitete WAV-Dateien können seltsames Verhalten anderer Programme hervorrufen. Das rührt daher, dass WAV-Dateien die Datenlänge (Spieldauer) in den Headerinformationen speichern. Allerdings weiß der Ausgabetreiber nichts über die Länge, wenn die Header geschrieben werden, und es gibt keinen Wert, der auf »Länge unbekannt« verweisen könnte. Verwenden Sie deshalb den Raw- oder AU-Ausgabetreiber, wenn Sie ogg123 in einer Pipe nutzen wollen.

AUTOREN

Programmautoren:
    Kenneth Arnold <kcarnold-xiph@arnoldnet.net>
    Stan Seibert <volsung@xiph.org>

Autor der Handbuchseite:
    Stan Seibert <volsung@xiph.org>

SIEHE AUCH

libao.conf(5), oggenc(1), vorbiscomment(1), ogginfo(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Frank Stähr <der-storch-85@gmx.net> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.